import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:elektronika/app/core/themes/theme.dart';
import 'package:elektronika/app/data/models/models.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

class ProductDescriptionWidget extends StatelessWidget {
  final ProductModel model;

  ProductDescriptionWidget({required this.model});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.symmetric(horizontal: 16.w, vertical: 8.h),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            'product_info'.tr,
            style: new TextStyle(
              color: ThemeColor.black,
              fontWeight: FontWeight.w500,
              fontSize: 16.sp,
            ),
          ),
          SizedBox(height: 12),
          Html(data: model.description),
        ],
      ),
    );
  }
}
